Subject: [Netconf] [Errata Verified] RFC6536 (3863)

From: RFC Errata System <[email-masked]>
Date: Fri, 18 Apr 2014 09:08:48 -0700 (PDT)

The following errata report has been verified for RFC6536,
"Network Configuration Protocol (NETCONF) Access Control Model". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6536&eid=3863

--------------------------------------
Status: Verified
Type: Technical

Reported by: Jernej Tuljak <[email-masked]>
Date Reported: 2014-01-10
Verified by: Benoit Claise (IESG)

Section: 3.5.2.

Original Text
-------------
     typedef group-name-type {
       type string {
         length "1..max";
         pattern "[^\*].*";
       }
       description
         "Name of administrative group to which
          users can be assigned.";
     }

Corrected Text
--------------
     typedef group-name-type {
       type string {
         length "1..max";
         pattern '[^\*].*';
       }
       description
         "Name of administrative group to which
          users can be assigned.";
     }

Notes
-----
As per RFC6020, Section 6.1.3., a backslash within a double-quoted string introduces a special character. The only valid escape sequences inside a double-quoted YANG string are: \n, \t, \" and \. As \* is not a valid escape sequence, a single quoted string should be used to specify the offending pattern statement's argument. The quotes could also be omitted.

--------------------------------------
RFC6536 (draft-ietf-netconf-access-control-07)
--------------------------------------
Title               : Network Configuration Protocol (NETCONF) Access Control Model
Publication Date    : March 2012
Author(s)           : A. Bierman, M. Bjorklund
Category            : PROPOSED STANDARD
Source              : Network Configuration
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG